Package ghidra.framework

# Class Log4jErrorLogger

java.lang.Object
ghidra.framework.Log4jErrorLogger

All Implemented Interfaces:
  `ErrorLogger`

public class Log4jErrorLogger extends Object implements ErrorLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Log4jErrorLogger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `debug(Object originator, Object message)`
  `void`
  `debug(Object originator, Object message, Throwable throwable)`
  `void`
  `error(Object originator, Object message)`
  `void`
  `error(Object originator, Object message, Throwable throwable)`
  `void`
  `info(Object originator, Object message)`
  `void`
  `info(Object originator, Object message, Throwable throwable)`
  `void`
  `trace(Object originator, Object message)`
  `void`
  `trace(Object originator, Object message, Throwable throwable)`
  `void`
  `warn(Object originator, Object message)`
  `void`
  `warn(Object originator, Object message, Throwable throwable)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Log4jErrorLogger

    public Log4jErrorLogger()

- ## Method Details

  - ### debug

    public void debug(Object originator, Object message)
    Specified by:
      `debug` in interface `ErrorLogger`

  - ### debug

    public void debug(Object originator, Object message, Throwable throwable)
    Specified by:
      `debug` in interface `ErrorLogger`

  - ### error

    public void error(Object originator, Object message)
    Specified by:
      `error` in interface `ErrorLogger`

  - ### error

    public void error(Object originator, Object message, Throwable throwable)
    Specified by:
      `error` in interface `ErrorLogger`

  - ### info

    public void info(Object originator, Object message)
    Specified by:
      `info` in interface `ErrorLogger`

  - ### info

    public void info(Object originator, Object message, Throwable throwable)
    Specified by:
      `info` in interface `ErrorLogger`

  - ### trace

    public void trace(Object originator, Object message)
    Specified by:
      `trace` in interface `ErrorLogger`

  - ### trace

    public void trace(Object originator, Object message, Throwable throwable)
    Specified by:
      `trace` in interface `ErrorLogger`

  - ### warn

    public void warn(Object originator, Object message)
    Specified by:
      `warn` in interface `ErrorLogger`

  - ### warn

    public void warn(Object originator, Object message, Throwable throwable)
    Specified by:
      `warn` in interface `ErrorLogger`